Package Gnumed :: Package business :: Module gmPersonSearch :: Class cPatientSearcher_SQL |
[frames] | no frames]

# Class cPatientSearcher_SQL

source code

UI independant i18n aware patient searcher.

Instance Methods
__init__(self) | source code
__del__(self) | source code
get_patients(self, search_term=None, a_locale=None, dto=None) | source code
get_identities(self, search_term=None, a_locale=None, dto=None) Get patient identity objects for given parameters. | source code

Method Details

### get_identities(self, search_term=None, a_locale=None, dto=None) | source code
    Get patient identity objects for given parameters.

    - either search term or search dict
    - dto contains structured data that doesn't need to be parsed (cDTO_person)
    - dto takes precedence over search_term